package com.zt.plat.module.erp.service.erp;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpProcessPageReqVO;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpProcessRespVO;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpProcessSaveReqVO;
import com.zt.plat.module.erp.dal.dataobject.erp.ErpProcessDO;
import jakarta.validation.Valid;

import java.util.List;

/**
 * ERP工艺路线 Service 接口
 *
 * @author 后台管理
 */
public interface ErpProcessService {

    /**
     * 创建ERP工艺路线
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    ErpProcessRespVO createErpProcess(@Valid ErpProcessSaveReqVO createReqVO);

    /**
     * 更新ERP工艺路线
     *
     * @param updateReqVO 更新信息
     */
    void updateErpProcess(@Valid ErpProcessSaveReqVO updateReqVO);

    /**
     * 删除ERP工艺路线
     *
     * @param id 编号
     */
    void deleteErpProcess(Long id);

    /**
    * 批量删除ERP工艺路线
    *
    * @param ids 编号
    */
    void deleteErpProcessListByIds(List<Long> ids);

    /**
     * 获得ERP工艺路线
     *
     * @param id 编号
     * @return ERP工艺路线
     */
    ErpProcessDO getErpProcess(Long id);

    /**
     * 获得ERP工艺路线分页
     *
     * @param pageReqVO 分页查询
     * @return ERP工艺路线分页
     */
    PageResult<ErpProcessDO> getErpProcessPage(ErpProcessPageReqVO pageReqVO);

    void callErpRfcInterface();
}